Eclipse 3.0 M9 + Flex – Flexon

Me he decidido ha sustituir mi viejo(por hablar de alguna manera) Eclipse 2.1.2, por la milestone 9(M9), que como sabreis es la última versión antes de la definitiva 3.0, y la verdad llevo muy pocas horas con esta versión como para poder aportar alguna opinión de valor…lo único que puedo decir, eso si, es que el interface es una monada y todo en general respira calidad por los cuatro costados…ya os comentaré algo más adelante conforme lo pruebe más. De momento puedes leer las Release notes.

Por otra parte y ahora que ya estoy en una fase de prueba e integración de Flex con J2EE, he decidido por fin empezar a usar Eclipse con Flex(como era de esperar). Por tanto me he creado un proyecto en mi nuevo Eclipse 3.0M9 con mi flex samples modificado. Lo único ha tener en cuenta en este punto fue que hay que añadir al proyecto el javax.servlet.jar, debido a que este no viene de serie y al importar todo el proyecto, Eclipse recompila las clases fallando al no encontrar este jar.

Ahora ya empiezo a necesitar un editor con las facilidades de code-hinting (y porque no las WYSIWYG). La cosa es que de Brady todavía no se sabe nada (aunque supongo que estará al caer) y el plugin de Flex para WASAD de IBM, llamado flexon y bajado gracias a la ayuda de Oscar Trelles solo funciona para este y no para el Eclipse Open Source. Esto es debido a que su funcionamiento está basado en muchos de los plugins que vienen con WASAD, y que evidentemente no existen en su hermano Open Source.

4 Comentarios

  1. ¿Carlos y como te fue con la migración a 3.0M9?
    ¿Los plug-ins te siguieron funcionando y todo siguio tal y como lo tení­as configurado?

    ¿Simplemente descomprimiste la carpeta y remplazaste los archivos nuevo por los de la antigua versión?

    Te agradecerí­a cualquier consejo sobre la migración, pues no la he hecho debido a que no quiero dañar la configuración que tengo.

  2. Todaví­a es muy pronto para mi para poderte dar mas datos, pero de momento no todo es una maravilla, de hecho algunos plugins hay que bajarlos de nuevo.
    Yo he intentado bajar Lomboz.3M8 y no e pita…
    Por otra parte este link es interesante:
    http://www.theserverside.com/news/thread.tss?thread_id=26076

    Yo a la hora de migra prefiero ir por partes, me explico…
    Como no se hasta que punto me puese afectar la nueva versión, primero renombro \”eclipse\” a algo como \”eclipse_old\”, y voy pasando cosas, y probando (que es donde estoy ahora)…
    Como todo paso a una nueva versión es una cuestión de acostumbrarse, pero seguramente a la larga será muy ventajoso…¿o no lo fue el cambio de Flash MX a MX 2004?

    saludos 🙂

Deja un comentario

Tu dirección de correo electrónico no será publicada. Los campos obligatorios están marcados con *